My Project: dgUpVectorConstraint Class Reference

My Project

Public Member Functions | Friends | List of all members
dgUpVectorConstraint Class Reference

`#include <dgUpVectorConstraint.h>`

Inheritance diagram for dgUpVectorConstraint:

## Public Member Functions

void | SetJointParameterCallback (dgUpVectorJointCallback callback)
void | InitPinDir (const dgVector &pin)
dgVector | GetPinDir () const
void | SetPinDir (const dgVector &pin)
virtual bool | IsBilateral () const
Public Member Functions inherited from dgBilateralConstraint
virtual void | SetDestructorCallback (OnConstraintDestroy destructor)
Public Member Functions inherited from dgConstraint
dgUnsigned32 | GetId () const
dgBody * | GetBody0 () const
dgBody * | GetBody1 () const
void | SetBodies (dgBody *const body0, dgBody *const body1)
dgBodyMasterListRow::dgListNode * | GetLink0 () const
dgBodyMasterListRow::dgListNode * | GetLink1 () const
void * | GetUserData () const
bool | IsActive () const
bool | IsCollidable () const
virtual void | ResetMaxDOF ()
dgInt32 | GetMaxDOF () const
void | SetUserData (void *userData)
void | SetCollidable (bool state)
virtual void | GetInfo (dgConstraintInfo *const info) const

## Friends

class | dgWorld

## Additional Inherited Members

Public Types inherited from dgConstraint
enum | dgConstraintID { m_ballConstraint, m_hingeConstraint, m_sliderConstraint, m_contactConstraint, m_upVectorConstraint, m_universalConstraint, m_corkScrewConstraint, m_unknownConstraint }
Protected Member Functions inherited from dgBilateralConstraint
| dgBilateralConstraint ()
virtual | ~dgBilateralConstraint ()
virtual void | Init ()
virtual void | Remove (dgWorld *world)
virtual dgFloat32 | GetStiffness () const
virtual void | SetStiffness (dgFloat32 stiffness)
void | SetPivotAndPinDir (const dgVector &pivot, const dgVector &pinDirection)
void | SetPivotAndPinDir (const dgVector &pivot, const dgVector &pinDirection0, const dgVector &pinDirection1)
dgVector | CalculateGlobalMatrixAndAngle (dgMatrix &globalMatrix0, dgMatrix &globalMatrix1) const
void | CalculateMatrixOffset (const dgVector &pivot, const dgVector &dir, dgMatrix &matrix0, dgMatrix &matrix1)
virtual void | JointAccelerations (dgJointAccelerationDecriptor *const params)
virtual void | JointVelocityCorrection (dgJointAccelerationDecriptor *const params)
void | SetMotorAcceleration (dgInt32 index, dgFloat32 accelration, dgContraintDescritor &desc)
void | SetJacobianDerivative (dgInt32 index, dgContraintDescritor &desc, const dgFloat32 *const jacobianA, const dgFloat32 *const jacobianB, dgForceImpactPair *const jointForce)
void | CalculatePointDerivative (dgInt32 index, dgContraintDescritor &desc, const dgVector &normalGlobal, const dgPointParam &param, dgForceImpactPair *const jointForce)
void | CalculateAngularDerivative (dgInt32 index, dgContraintDescritor &desc, const dgVector &normalGlobal, dgFloat32 stiffness, dgFloat32 jointAngle, dgForceImpactPair *const jointForce)
dgFloat32 | CalculateSpringDamperAcceleration (dgInt32 index, const dgContraintDescritor &desc, dgFloat32 jointAngle, const dgVector &p0Global, const dgVector &p1Global, dgFloat32 springK, dgFloat32 springD)
void | SetMaxContactsForExactSolver (bool mode, dgInt32 MaxCount)
Protected Member Functions inherited from dgConstraint
| dgConstraint ()
virtual | ~dgConstraint ()
void | SetUpdateFeedbackFunction (ConstraintsForceFeeback function)
void | InitPointParam (dgPointParam &param, dgFloat32 stiffness, const dgVector &p0Global, const dgVector &p1Global) const
void | InitInfo (dgConstraintInfo *const info) const
Protected Attributes inherited from dgBilateralConstraint
dgMatrix | m_localMatrix0
dgMatrix | m_localMatrix1
dgFloat32 | m_stiffness
dgForceImpactPair | m_jointForce [DG_BILATERAL_CONTRAINT_DOF]
dgInt32 | m_rowIsMotor [DG_BILATERAL_CONTRAINT_DOF]
dgFloat32 | m_motorAcceleration [DG_BILATERAL_CONTRAINT_DOF]
dgInt32 | m_useExactSolverContactLimit
OnConstraintDestroy | m_destructor
Protected Attributes inherited from dgConstraint
void * | m_userData
dgBody * | m_body0
dgBody * | m_body1
dgBodyMasterListRow::dgListNode * | m_link0
dgBodyMasterListRow::dgListNode * | m_link1
ConstraintsForceFeeback | m_updaFeedbackCallback
dgUnsigned32 | m_dynamicsLru
dgUnsigned32 | m_index
dgUnsigned32 | m_maxDOF: 6
dgUnsigned32 | m_constId: 6
dgUnsigned32 | m_enableCollision: 1
dgUnsigned32 | m_useExactSolver: 1
dgUnsigned32 | m_solverActive: 1
dgUnsigned32 | m_contactActive: 1

## Member Function Documentation

## § GetPinDir()

dgVector dgUpVectorConstraint::GetPinDir | ( |  | ) | const

## § InitPinDir()

void dgUpVectorConstraint::InitPinDir | ( | const dgVector & | pin | ) |

## § IsBilateral()

bool dgUpVectorConstraint::IsBilateral | ( |  | ) | const

virtual

Reimplemented from dgBilateralConstraint.

## § SetJointParameterCallback()

void dgUpVectorConstraint::SetJointParameterCallback | ( | dgUpVectorJointCallback | callback | ) |

## § SetPinDir()

void dgUpVectorConstraint::SetPinDir | ( | const dgVector & | pin | ) |

## Friends And Related Function Documentation

## § dgWorld

friend class dgWorld

friend

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgUpVectorConstraint.h
- dynamics.mod/NewtonDynamics/source/physics/dgUpVectorConstraint.cpp